> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/gas-fees.md).

# Gas Fees

#### `GET /withdrawals/estimate_network_fee` <a href="#get-withdrawals-estimate_network_fee" id="get-withdrawals-estimate_network_fee"></a>

```
const getEstimateNetworkFee = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/withdrawals/estimate_network_fee' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(
    'https://api.ndax.in/withdrawals/estimate_network_fee',
    options
  )
}
```

> Sample Response

```
{
  "message": {
        "underlying": "BTC",
        "quoted_currency": "e₹",
        "network_fee_asset": "BTC",
        "network_fee_quantity": "0.000172825",
        "total_notional": "3.3733791241663290125"
    }
}
```

Retrive the estimate network fee. The following query parameters are **required**:

* `underlying`
* `quoted_currency`

Optional query parameters include:

* `amount` The amount of the `underlying` currency
* `destination_address` The destination\_address is the receiving address for the withdrawal request
* `contract_call` In a future release, this field will denote if the destination address is a smart contract address. False is the only acceptable value for now.

<table><thead><tr><th width="204">Parameter</th><th width="499.3333333333333">Description</th><th>Type</th></tr></thead><tbody><tr><td>underlying</td><td>The asset being valued</td><td>string</td></tr><tr><td>quoted_currency</td><td>The asset in which the <code>underlying</code> is being valued</td><td>string</td></tr><tr><td>network_fee_asset</td><td>The network fee asset</td><td>string</td></tr><tr><td>network_fee_quantity</td><td>The quantity of network fee</td><td>string</td></tr><tr><td>total_notional</td><td>fee_amount x (index price for fee_currency quoted in quoted_currency)</td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/gas-fees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
